<?php

use App\Category;
use App\CategoryDescription;
use App\Level;
use App\Service;
use App\Setting;
use App\Unit;
use App\User;
use App\Newsletter;
use App\VideoCategory;
use App\VideoCategoryDescription;
use App\VisitorMessage;
use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
        $this->call(UserSeeder::class);
        $this->call(LanguageSeeder::class);
        $this->call(ModuleSeeder::class);
        $this->call(UserModuleSeeder::class);
        $this->call(SettingSeeder::class);

//        factory(Newsletter::class, 30)->create();
//        factory(VisitorMessage::class, 30)->create();
        factory(Category::class, 6)->create();
//        factory(VideoCategory::class, 6)->create();

        $this->call(CategoryDescriptionSeeder::class);
//        $this->call(VideoCategoryDescriptionSeeder::class);

        $this->call(ArticlesSeeder::class);
        $this->call(ArticleDescriptionSeeder::class);

        factory(Level::class, 3)->create();
        factory(Unit::class, 3)->create();

        factory(Service::class, 5)->create();
        $this->call(ServiceDescriptionSeeder::class);

        $this->call(FaqSeeder::class);
        $this->call(FaqDescriptionSeeder::class);

        $this->call(PagesSeeder::class);
        $this->call(PagesDescriptionSeeder::class);





    }
}
